.catalog-filter {
  transition-behavior: allow-discrete;
  transition: opacity 0.3s ease, display 0.3s allow-discrete;
}
.catalog-filter_modal-open {
  display: flex !important;
  opacity: 1 !important;
}
.catalog-filter_modal-open .catalog-filter__content-area {
  right: 0px !important;
}
@media (max-width: 1199px) {
  .catalog-filter {
    display: none;
    flex-direction: column;
    justify-content: start;
    align-items: end;
    opacity: 0;
    background-color: rgba(0, 0, 0, 0.4);
    position: fixed;
    z-index: 8100;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
  }
}
@starting-style {
  .catalog-filter.catalog-filter_modal-open {
    opacity: 0 !important;
  }
  .catalog-filter.catalog-filter_modal-open .catalog-filter__content-area {
    right: -330px !important;
  }
}
.catalog-filter__content-area {
  display: flex;
  flex-direction: column;
  gap: 32px;
  background-color: white;
  right: -330px;
  transition: right 0.3s ease;
}
@media (max-width: 1199px) {
  .catalog-filter__content-area {
    position: relative;
    right: -330px;
    padding: 16px;
    width: 100%;
    max-width: 316px;
    height: 100vh;
    height: 100svh;
    height: 100dvh;
    overflow-y: auto;
  }
}
.catalog-filter__header {
  display: none;
  width: 100%;
}
@media (max-width: 1199px) {
  .catalog-filter__header {
    display: block;
  }
}
.catalog-filter__header-close-btn {
  display: flex;
  align-items: center;
  gap: 6px;
  border: none;
  background-color: transparent;
  cursor: pointer;
}
.catalog-filter__header-close-btn img {
  width: 16px;
  height: 16px;
  -webkit-user-select: none;
  -webkit-user-drag: none;
}
.catalog-filter__header-close-btn span {
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 17px;
  color: black;
  line-height: 100%;
  -webkit-user-select: none;
}
.catalog-filter__set {
  display: flex;
  flex-direction: column;
  gap: 16px;
}
.catalog-filter__set_hidden .catalog-filter__set-spoiler-btn img {
  rotate: 180deg;
}
.catalog-filter__set_hidden .catalog-filter__set-content {
  opacity: 0;
  max-height: 0px;
  display: none;
}
@starting-style {
  .catalog-filter__set_hidden .catalog-filter__set-content {
    max-height: 0px;
    opacity: 0;
  }
}
.catalog-filter__set-spoiler {
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
}
.catalog-filter__set-spoiler-title {
  font-family: var(--font-mevermind-compact);
  font-weight: 500;
  font-size: 17px;
  color: black;
  line-height: 135%;
  -webkit-user-select: none;
}
.catalog-filter__set-spoiler-btn {
  padding: 0;
  width: 20px;
  height: 20px;
  background-color: transparent;
  border: none;
  cursor: pointer;
}
.catalog-filter__set-spoiler-btn img {
  max-width: auto;
  -webkit-user-select: none;
  -webkit-user-drag: none;
}
.catalog-filter__set-content {
  display: block;
  max-height: 500px;
  overflow-y: auto;
  overflow-x: hidden;
  opacity: 1;
  transition: max-height 0.2s ease, opacity 0.2s ease, display 0.2s ease allow-discrete;
  transition-behavior: allow-discrete;
}
.catalog-filter__set-content fieldset {
  padding: 0;
  margin: 0;
  border: none;
}
.catalog-filter__set-content fieldset input[type='number'] {
  box-sizing: border-box;
  padding: 13px 12px;
  margin: 0;
  width: 100%;
  height: 48px;
  border-radius: 12px;
  appearance: none;
  border: none;
  outline: none;
  background-color: rgba(29, 44, 64, 0.05);
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 17px;
  color: black;
  line-height: 135%;
}
.catalog-filter__set-content fieldset input[type='number']::placeholder {
  -webkit-user-select: none;
}
.catalog-filter__set-content fieldset .option {
  box-sizing: border-box;
  padding: 10px 12px;
  width: 100%;
  display: flex;
  gap: 10px;
  background-color: transparent;
  cursor: pointer;
}
.catalog-filter__set-content fieldset .option:active {
  background-color: rgba(29, 44, 64, 0.05);
}
@media (hover: hover) and (pointer: fine) {
  .catalog-filter__set-content fieldset .option:hover {
    background-color: rgba(29, 44, 64, 0.05);
  }
}
.catalog-filter__set-content fieldset .option_highlighted {
  background-color: rgba(29, 44, 64, 0.03);
}
.catalog-filter__set-content fieldset .option label {
  width: 100%;
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 17px;
  color: black;
  line-height: 135%;
  -webkit-user-select: none;
  cursor: pointer;
}
.catalog-filter__set-content fieldset .option input[type='radio'] {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  width: 20px;
  height: 20px;
  flex-shrink: 0;
  border-radius: 50%;
  appearance: none;
  border: none;
  background-position: center center;
  background-color: rgba(29, 44, 64, 0.1);
  cursor: pointer;
}
.catalog-filter__set-content fieldset .option input[type='radio']:checked {
  background-image: url('/media/icons/radiobutton-bg.png');
}
.catalog-filter__set-content fieldset .option input[type='checkbox'] {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  width: 20px;
  height: 20px;
  border-radius: 20%;
  appearance: none;
  border: none;
  background-position: center center;
  background-color: rgba(29, 44, 64, 0.1);
}
.catalog-filter__set-content fieldset .option input[type='checkbox']:checked {
  background-image: url('/media/icons/checkbox-bg.png');
}
.catalog-filter__set-content fieldset .double-input {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 8px;
}
.catalog-filter__set-content fieldset .double-input:hover {
  background-color: transparent;
}
@starting-style {
  .catalog-filter__set-content {
    max-height: 0px;
    opacity: 0;
  }
}
.catalog-filter__set-content-search-filter {
  box-sizing: border-box;
  padding: 13px 40px 13px 12px;
  margin: 0 0 16px 0;
  width: 100%;
  height: 48px;
  border-radius: 12px;
  appearance: none;
  border: none;
  outline: none;
  background-color: rgba(29, 44, 64, 0.05);
  background-image: url('data:image/svg+xml;base64,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');
  background-size: 20px 20px;
  background-position: right 10px center;
  background-repeat: no-repeat;
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 17px;
  color: black;
  line-height: 135%;
}
.catalog-filter__set-content-search-filter::placeholder {
  -webkit-user-select: none;
}
.catalog-filter__control-btns {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 8px;
}
.catalog-filter__control-btns-btn {
  box-sizing: border-box;
  padding: 15px 30px;
  border-radius: 12px;
  border: none;
  background-color: rgba(29, 44, 64, 0.05);
  font-family: var(--font-mevermind-compact);
  font-weight: 500;
  font-size: 17px;
  color: black;
  line-height: 100%;
  -webkit-user-select: none;
  cursor: pointer;
  transition: background-color 0.2s ease-out;
}
.catalog-filter__control-btns-btn:active {
  background-color: rgba(29, 44, 64, 0.1);
}
@media (hover: hover) and (pointer: fine) {
  .catalog-filter__control-btns-btn:hover {
    background-color: rgba(29, 44, 64, 0.1);
  }
}
.catalog-filter__control-btns-btn_apply {
  background-color: #fcf806;
}
.catalog-filter__control-btns-btn_apply:active {
  background-color: #fcda06;
}
@media (hover: hover) and (pointer: fine) {
  .catalog-filter__control-btns-btn_apply:hover {
    background-color: #fcda06;
  }
}
/* <ManualRangeSpecifier> */
.catalog-filter__set-content-input-range {
  display: grid;
  grid-template: repeat(2, max-content) 14px / 1fr 1fr;
  overflow: hidden;
  position: relative;
  margin: 1em auto;
  width: 100%;
  background: white;
  font-family: ubuntu mono,
    consolas,
    monaco,
    monospace;
}
.catalog-filter__set-content-input-range input[type='range'] {
  padding: 0;
  border: none;
  border-radius: 0;
  grid-column: 1 / span 2;
  grid-row: 3;
  z-index: 1;
  top: 0;
  left: 0;
  margin: 0;
  background-color: transparent;
  color: #e8e9ec;
  pointer-events: none;
}
.catalog-filter__set-content-input-range input[type='range']::-webkit-slider-runnable-track,
.catalog-filter__set-content-input-range input[type='range']::-webkit-slider-thumb,
.catalog-filter__set-content-input-range input[type='range'] {
  -webkit-appearance: none;
}
.catalog-filter__set-content-input-range input[type='range']::-webkit-slider-runnable-track {
  width: 100%;
  height: 100%;
  background-color: transparent;
}
.catalog-filter__set-content-input-range input[type='range']::-moz-range-track {
  width: 100%;
  height: 100%;
  background-color: transparent;
}
.catalog-filter__set-content-input-range input[type='range']::-webkit-slider-thumb {
  border: none;
  width: 14px;
  height: 14px;
  border-radius: 50%;
  background-color: currentcolor;
  pointer-events: auto;
  outline: 4px solid white;
  -webkit-user-select: none;
  -webkit-user-drag: none;
}
.catalog-filter__set-content-input-range input[type='range']::-moz-range-thumb {
  border: none;
  width: 14px;
  height: 14px;
  border-radius: 50%;
  background-color: currentcolor;
  pointer-events: auto;
  outline: 4px solid white;
  -webkit-user-select: none;
  -webkit-user-drag: none;
}
.catalog-filter__set-content-input-range input[type='range']:focus {
  z-index: 2;
}
.catalog-filter__set-content-input-range input[type='range']:focus,
.catalog-filter__set-content-input-range input[type='range']:focus + output {
  color: #fcf806;
}
.catalog-filter__set-content-input-range-track-bg {
  width: 100%;
  height: 3px;
  background-color: rgba(146, 56, 242, 0.07);
  position: absolute;
  top: 50%;
  left: 0;
  transform: translate(0, -50%);
}
/* </ManualRangeSpecifier> */